package org.gcube.portlets.admin.accountingmanager.server.amservice.query;

import org.gcube.accounting.analytics.TemporalConstraint;
import org.gcube.accounting.datamodel.usagerecords.PortletUsageRecord;
import org.gcube.portlets.admin.accountingmanager.server.amservice.PeriodModeMap;
import org.gcube.portlets.admin.accountingmanager.shared.data.query.SeriesRequest;
import org.gcube.portlets.admin.accountingmanager.shared.exception.AccountingManagerServiceException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Accounting Query 4 Portlet
 * 
 * @author "Giancarlo Panichi" email: <a
 *         href="mailto:g.panichi@isti.cnr.it">g.panichi@isti.cnr.it</a>
 * 
 */
public class AccountingQuery4Portlet extends AccountingQueryBuilder {
	protected static Logger logger = LoggerFactory
			.getLogger(AccountingQuery4Portlet.class);
	private SeriesRequest seriesRequest;

	public AccountingQuery4Portlet(SeriesRequest seriesRequest) {
		this.seriesRequest = seriesRequest;
	}

	@Override
	public void buildOpEx() throws AccountingManagerServiceException {

		TemporalConstraint temporalConstraint = new TemporalConstraint(
				seriesRequest.getAccountingPeriod().getStartDate().getTime(),
				seriesRequest.getAccountingPeriod().getEndDate().getTime(),
				PeriodModeMap.getMode(seriesRequest.getAccountingPeriod()
						.getPeriod()));

		AccountingQuery invocation = new AccountingQuery(
				PortletUsageRecord.class, temporalConstraint);

		accountingQuerySpec.setOp(invocation);

	}
}
